unit Unit2;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, Vcl.StdCtrls,
  VCLTee.TeEngine, VCLTee.TeeProcs, VCLTee.Chart, VCLTee.DBChart,
  VCLTee.TeeComma, Vcl.ExtCtrls, cxGraphics, cxControls, cxLookAndFeels,
  cxLookAndFeelPainters, cxContainer, cxEdit, dxSkinsCore, dxSkinBlack,
  dxSkinBlue, dxSkinBlueprint, dxSkinCaramel, dxSkinCoffee, dxSkinDarkRoom,
  dxSkinDarkSide, dxSkinDevExpressDarkStyle, dxSkinDevExpressStyle, dxSkinFoggy,
  dxSkinGlassOceans, dxSkinHighContrast, dxSkiniMaginary, dxSkinLilian,
  dxSkinLiquidSky, dxSkinLondonLiquidSky, dxSkinMcSkin, dxSkinMetropolis,
  dxSkinMetropolisDark, dxSkinMoneyTwins, dxSkinOffice2007Black,
  dxSkinOffice2007Blue, dxSkinOffice2007Green, dxSkinOffice2007Pink,
  dxSkinOffice2007Silver, dxSkinOffice2010Black, dxSkinOffice2010Blue,
  dxSkinOffice2010Silver, dxSkinOffice2013DarkGray, dxSkinOffice2013LightGray,
  dxSkinOffice2013White, dxSkinPumpkin, dxSkinSeven, dxSkinSevenClassic,
  dxSkinSharp, dxSkinSharpPlus, dxSkinSilver, dxSkinSpringTime, dxSkinStardust,
  dxSkinSummer2008, dxSkinTheAsphaltWorld, dxSkinsDefaultPainters,
  dxSkinValentine, dxSkinVisualStudio2013Blue, dxSkinVisualStudio2013Dark,
  dxSkinVisualStudio2013Light, dxSkinVS2010, dxSkinWhiteprint,
  dxSkinXmas2008Blue, cxTextEdit, cxMaskEdit, cxSpinEdit, VCLTee.Series,
  Vcl.ComCtrls, Vcl.Mask;

type
  TForm2 = class(TForm)
    Panel1: TPanel;
    TeeCommander1: TTeeCommander;
    DBChart1: TDBChart;
    Label1: TLabel;
    Series1: TBarSeries;
    Memo1: TMemo;
    Edit1: TMaskEdit;
    TrackBar1: TTrackBar;
    procedure FormCreate(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.Edit1Change(Sender: TObject);
begin
  Edit1.Text := IntToStr(TrackBar1.Position);

  if (TrackBar1.Position > (DBChart1[0].Count - 1)) then
    begin
      Edit1.Text := IntToStr((DBChart1[0].Count - 1));

      Exit;
    end;

  DBChart1.BottomAxis.SetMinMax(0, StrToInt(Edit1.Text));
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
  DBChart1[0].Color := clWebLightSteelBlue;
  DBChart1[0].Add(7, '01/04/2004');
  DBChart1[0].Add(17,'01/11/2004');
  DBChart1[0].Add(6, '01/18/2004');
  DBChart1[0].Add(12,'01/25/2004');
  DBChart1[0].Add(5, '02/01/2004');
  DBChart1[0].Add(7, '02/08/2004');
  DBChart1[0].Add(14,'02/15/2004');
  DBChart1[0].Add(4, '02/22/2004');
  DBChart1[0].Add(12,'03/01/2004');
  DBChart1[0].Add(9, '03/08/2004');
  DBChart1[0].Add(17,'03/15/2004');
  DBChart1[0].Add(2, '03/22/2004');
  DBChart1[0].Add(5, '03/29/2004');
  DBChart1[0].Add(10,'04/06/2004');
  DBChart1[0].Add(6, '04/13/2004');
  DBChart1[0].Add(17,'04/20/2004');
  DBChart1[0].Add(27,'04/27/2004');
  DBChart1[0].Add(16,'05/04/2004');
  DBChart1[0].Add(22,'05/11/2004');
  DBChart1[0].Add(15,'05/18/2004');
  DBChart1[0].Add(17,'05/25/2004');
  DBChart1[0].Add(24,'06/01/2004');
  DBChart1[0].Add(14,'06/08/2004');
  DBChart1[0].Add(22,'06/15/2004');
  DBChart1[0].Add(19,'06/22/2004');
  DBChart1[0].Add(27,'06/29/2004');
  DBChart1[0].Add(12,'07/06/2004');
  DBChart1[0].Add(15,'07/13/2004');
  DBChart1[0].Add(20,'07/20/2004');
  DBChart1[0].Add(16,'07/27/2004');
  DBChart1[0].Add(27,'07/03/2004');
  DBChart1[0].Add(37,'07/10/2004');
  DBChart1[0].Add(26,'07/17/2004');
  DBChart1[0].Add(32,'07/24/2004');
  DBChart1[0].Add(25,'08/03/2004');
  DBChart1[0].Add(27,'08/10/2004');
  DBChart1[0].Add(34,'08/17/2004');
  DBChart1[0].Add(24,'08/24/2004');
  DBChart1[0].Add(32,'08/31/2004');
  DBChart1[0].Add(29,'09/07/2004');
  DBChart1[0].Add(37,'09/14/2004');
  DBChart1[0].Add(22,'09/21/2004');
  DBChart1[0].Add(25,'09/28/2004');
  DBChart1[0].Add(30,'10/05/2004');
  DBChart1[0].Add(26,'10/12/2004');

  DBChart1.BottomAxis.SetMinMax(0, StrToInt(Edit1.Text));
end;

end.
